# sqlite_num_fields

# SQLiteResult::numFields

# SQLiteUnbuffered::numFields

(PHP 5 < 5.4.0, PECL sqlite >= 1.0.0)

sqlite_num_fields -- SQLiteResult::numFields -- SQLiteUnbuffered::numFields — Returns the number of fields in a result set

### Description

sqlite_num_fields ( resource `$result` ) : int

Object oriented style (method):

SQLiteResult::numFields ( void ) : int
SQLiteUnbuffered::numFields ( void ) : int

Returns the number of fields in the `result` set.

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

### Return Values

Returns the number of fields, as an integer.

### See Also

- sqlite_changes() - Returns the number of rows that were changed by the most recent SQL statement
- sqlite_num_rows() - Returns the number of rows in a buffered result set